export const showPrintPreview=(state,action)=>{
  const res=Object.assign({},state);
  res.visible = true
  return res;
};

export const closePrintPreview=(state,action)=>{
  const res=Object.assign({},state);
  res.visible = false
  return res;
};

export const showPreview=(state,action)=>{
  const res=Object.assign({},state);
  res.preVisible = true
  return res;
};

export const closePreview=(state,action)=>{
  const res=Object.assign({},state);
  res.preVisible = false
  return res;
};

export const saveMessage=(state,action)=>{
  const res=Object.assign({},state);
  res.saveMessage = action.data
  return res;
};

export const diagShow=(state,action)=>{
  const res=Object.assign({},state);
  res.diagShow = action.data
  return res;
};
